Page MenuHome

Documentation for 2.8 (WIP)
Closed, ResolvedPublic

Description

Hi, welcome to the blender 2.8 documentation development task. This task and all subsequent subtasks are related to working on documentation for the next official Blender release (Blender 2.8).

This is not a complete list of everything that needs to be done, but it should give a good starting point for reminders of things that need to get done.

Each task should give some sort of link to find more information on the feature that needs to be documented. Most often this is a link to the actual code commit, but can also be design task, or some other documentation that the developer wrote themselves. As an author, you can use this to gather information of the feature. If you don't understand a feature you can talk to a developer who helped implement the feature or perform and internet search to learn about the feature from others who have already published information on the task.

How to Contribute

We want as many people to contribute to the documentation as possible. We understand that not everyone might have the technical knowledge to understand exactly and to use subversion, sphinx, and the markup language (restructed text) however, we will accept any help given to us.

Before you start contributing it may be helpful to read the style guides which give instructions on how to write with RST and some goals of the manual.

Now that you are familiar with the process, you can get setup, edit, and contribute your changes by following these links:

  1. Install
  2. Build
  3. Edit
  4. Build again
  5. Patch or Commit

If you do help us, the above method is preferred, however, you can write documentation in other formats and someone else can copy it over to our system. While it is a bit harder for us, you can share documentation written in a shareable document format, or simply include the written documentation as a reply to the task you would like to work on.

Details

Type
To Do

Related Objects

StatusAssignedTask
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedHoward Trickey (howardt)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
InvalidBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedNone
ResolvedNone
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
InvalidBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ArchivedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedNone
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ResolvedBrecht Van Lommel (brecht)
ArchivedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
DuplicateNone
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
DuplicateNone
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedBrecht Van Lommel (brecht)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAlexander Gavrilov (angavrilov)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
InvalidAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)
ResolvedAaron Carlisle (Blendify)

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
bdp (budip) added a comment.EditedMay 12 2018, 10:41 AM

+ Fracture Modifier
new 3d cursor

cycles :random walk subsurface scattering https://developer.blender.org/D3054

Aaron Carlisle (Blendify) lowered the priority of this task from Confirmed, Medium to Normal.Jun 1 2018, 6:25 PM
Aaron Carlisle (Blendify) moved this task from Tasks to Short Term Backlog on the Code Quest board.

Grease Pencil 2.0 (is there a better place we can put this?) (Split annotation tool from 3d drawing?)

@Aaron Carlisle (Blendify) The new Grease pencil is not just an UI tweak, it'll be splited: Grease pencil will be a brand new Blender object to draw in the 3Dviewport, and for all other editors will be an annotation tool (don't know yet the final name) with trimed features just to make quick notes.

So I suggest to put Grease Pencil as object in "Additions" and Annotation tool in "Moves/Changes"

List of shortcuts changed: T55194 (may be better to check with a script when the time comes)

Bastien Montagne (mont29) changed Type from Bug to To Do.Jul 31 2018, 8:18 PM
Aaron Carlisle (Blendify) triaged this task as Confirmed, High priority.Oct 2 2018, 6:51 PM

Manual entry for D3786 if accepted

Hi,

in addition to current tasks which list the code changes, would it make sense to add to workboard clean-up tasks for each section of the current soon-to-be-outdated manual? It might be easiest first to clean up each section of current manual to correspond to 2.8, and after that go through the tasks about code changes, to make sure that all code changes are included in manual. Would that work?

Please excuse me if there already exists a plan on how the manual upgrade is going to be carried out. I haven't found info about any specifics, so I wonder how this is going to be done. I hope to be able to help on this. Thanks!

Hi again,

I had some time this weekend to test upgrade a tiny fraction of current manual. I upgraded a few first parts in the User Interface chapter, which I list in the front page. I uploaded the result temporarily to http://tkeskita.kapsi.fi/temp/blender_docs/html/index.html for viewing. Any comments, @Aaron Carlisle (Blendify), @Inês Almeida (brita_), @Brecht Van Lommel (brecht)? Should I continue this work? I might have few days next week to spare. Thanks!

@Tuomo Keskitalo (tkeskita), help with the manual is definite welcome. I suggest you submit the changes you made so they can be reviewed:
https://docs.blender.org/manual/en/latest/about/contribute/patch_commit.html

Yes please follow this advice and try to keep changes broken up and use the child tasks to post links to there patches.

OK thanks, I'll try. I'll be adding links to differentials to subtasks.

It seems diffs are done always against current svn head revision. Is it OK for me to submit several patches against same svn head revision? So I don't need to wait for approval of one patch before submitting another patch?

Yes, you can submit other patches.

Submitted patch D3956: 2.80 upgrade, WIP warning to front page

Brecht Van Lommel (brecht) lowered the priority of this task from Confirmed, High to Normal.Nov 19 2018, 2:05 PM

@Brecht Van Lommel (brecht) : Why did you decrease task priority? It was nice to have this task listed at the top of workboard when using sort by priority.. but of course I can make do with this if needed, its not big issue, just convenience.

This task is also in the Code Quest workboard, where it didn't make sense as the highest priority task. I've reordered it to be at the top of the Documentation workboard now.

Brecht Van Lommel (brecht) triaged this task as Confirmed, High priority.Apr 12 2019, 8:01 AM

Marking as high priority since this is a task we need to finish for 2.80.

One things that changes everywhere in the manual are the parts where it lists where various buttons and other UI live. E.g., most things that were on the tool shelf are listed as being on Panel Tool Shelf > Tools.

I'm a little unclear on what the official terminology for the new areas of the UI are now. Are there examples of pages that have been converted already to use the new UI interface element names?

In any case, it seems a massive effort to change all of these things in the manual. Has anyone considered a scripting-based approach that would "mostly work" to apply first?

We will definitely need to do some global search & replace. At the homestretch workshop we decided that all Blender Foundation developers would spend the first week of June on docs. @Campbell Barton (campbellbarton) was assigned to look into getting things organized a bit before that, so tasks can be distributed more easily.

There are no example pages that have been converted and verified by developers to use the correct terminology, yet. The names used in the Blender interface should be ok for the manual:

  • Toolbar (big icons for active tools on the left of 3D viewport)
  • Sidebar (panels on the right of 3D viewport)
  • Tool Settings (tab in the properties editor and bar in the 3D viewport)

In most cases I think the location in the toolshelf should be replaced by the location in the header menus. Context menus often have the same operator, but I'd avoid that since they depend on selection modes and what is selected, so not as reliable to find the specific operator.